Subject: bug#53617: 28.0.90; duplicate checks in erc--switch-to-buffer

From: "J.P." <[email-masked]>
Date: Fri, 28 Jan 2022 19:30:14 -0800

Guy Gastineau <[email-masked]> writes:

> Sure. I will do it.

Nice!

> The emacs bug report buffer provided access to a help page. It
> suggested I make a patch with `diff -u`. Is it preferable to provide a
> patch as made with git?

Definitely with git. The "Getting involved with development" section in
CONTRIBUTE lays it out in full [1], but basically (after committing),
you just run something like

  git-format-patch -M origin/master -o /tmp

and look for a file named /tmp/0001-foo.patch and attach that in a
reply.

[1] https://git.savannah.gnu.org/cgit/emacs.git/tree/CONTRIBUTE#n54